﻿Public Class PasswordDialogBox
    Inherits Form
    Private WithEvents tbox_Password As New TextBox With {.PasswordChar = "*"c, .Parent = Me}
    Private WithEvents lbl_Message As New Label With {.Parent = Me}
    Private WithEvents btn_Ok As New Button With {.Text = "OK", .Parent = Me}
    Private WithEvents btn_Cancel As New Button With {.Text = "Cancel", .Parent = Me}
    Private Shadows ParentForm As Form
    Public Password As String
    Public Sub OpenDialog(ByRef frm As Form)
        ParentForm = frm
        '
        Me.FormBorderStyle = Windows.Forms.FormBorderStyle.FixedToolWindow
        Me.Size = New Size(200, 130)
        Me.StartPosition = FormStartPosition.Manual
        Me.Text = "Message from AudioMeter"
        Me.ControlBox = False
        '
        lbl_Message.Left = 10
        lbl_Message.Top = 10
        lbl_Message.Width = Me.Width - 10
        lbl_Message.Font = New Font("Arial", 11)
        lbl_Message.Text = "Please enter a password"
        '
        tbox_Password.Top = 40
        tbox_Password.Left = 30
        tbox_Password.Width = 130
        '
        btn_Ok.Left = Me.ClientRectangle.Width - 5 - btn_Ok.ClientRectangle.Width
        btn_Ok.Top = Me.ClientRectangle.Height - 5 - btn_Ok.Height
        btn_Cancel.Left = 5
        btn_Cancel.Top = Me.ClientRectangle.Height - 5 - btn_Cancel.Height
        '
        Me.Show()
    End Sub
    Private Sub Me_VisibleChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.VisibleChanged
        If Me.Visible Then
            Me.Location = Cursor.Position
            ParentForm.Enabled = False
            ParentForm.Opacity = 0.3
        Else
            ParentForm.Enabled = True
            ParentForm.Opacity = 1
        End If
    End Sub
    Private Sub okButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btn_Ok.Click
        Me.Password = tbox_Password.Text
        Me.DialogResult = Windows.Forms.DialogResult.OK
        Me.Hide()
    End Sub
    Private Sub cancelButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
        Me.Hide()
    End Sub
End Class
